commit:     dcac082e5182388556b5841cc2f0e2e8f80bc279
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  1 19:53:51 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 20:34:39 2020 +0000
URL:        https://gitweb.gentoo.org/proj/genkernel.git/commit/?id=dcac082e

gen_initramfs.sh: create_initramfs(): set_initramfs_compression_method() must 
be called when kerncache is used

Follow-up: a864c2f ("gen_initramfs.sh: create_initramfs(): Call 
set_initramfs_compression_method() when not building kernel")
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 gen_initramfs.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 570100e..e48fa06 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -2069,7 +2069,7 @@ create_initramfs() {
        else
                if isTrue "${COMPRESS_INITRD}"
                then
-                       if ! isTrue "${BUILD_KERNEL}"
+                       if ! isTrue "${BUILD_KERNEL}" || isTrue 
"${KERNCACHE_IS_VALID}"
                        then
                                # We need to initialize COMPRESS_INITRD_TYPE in 
case it was set
                                # to best/fastest

Reply via email to